Bug 242249 - bug reading from socket in perl5db.pl
bug reading from socket in perl5db.pl
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
6
All Linux
low Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-02 13:08 EDT by Jack Tanner
Modified: 2008-05-10 09:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: 5.8.8-30.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-10 09:57:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Tanner 2007-06-02 13:08:13 EDT
Unmatched right curly bracket at (eval 48)[/usr/lib/perl5/5.8.8/perl5db.pl:628]
line 5, at end of line
syntax error at (eval 48)[/usr/lib/perl5/5.8.8/perl5db.pl:628] line 5, near ";
}"

Version-Release number of selected component (if applicable):

perl-5.8.8-10
Comment 1 Jack Tanner 2007-06-05 12:42:46 EDT
This only seems like a syntax error, but it's really a runtime bug. Note that it
has been fixed on upstream 5.9.x trunk, but not on 5.8.8 branch:

http://public.activestate.com/cgi-bin/perlbrowse/28510

Could we install that patch on Fedora? Not sure what Perl is in F7, but don't
forget FC6, please.
Comment 2 Robin Norwood 2007-06-13 16:04:27 EDT
Hi Jack,

I can apply the patch, but can you point me towards a way to reproduce the issue?
Comment 3 Jack Tanner 2007-06-25 14:21:35 EDT
I came across this issue in the process of troubleshooting a bug in E-P-I-C,
which is an Eclipse plug-in for editing Perl.

http://sourceforge.net/tracker/index.php?func=detail&aid=1729216&group_id=75859&atid=545274

I think that the fix I request will alleviate some (but not all) causes of that bug.
Comment 4 Bug Zapper 2008-04-04 03:21:17 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Fedora Update System 2008-05-05 10:50:51 EDT
perl-5.8.8-30.fc7 has been submitted as an update for Fedora 7
Comment 6 Bug Zapper 2008-05-06 15:39:19 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Fedora Update System 2008-05-10 09:57:57 EDT
perl-5.8.8-30.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.